'
' Copyright (c) 2016, MindFusion LLC - Bulgaria.
'


Partial Public Class PieChartReport
    Inherits Report

    Public Sub New()

        InitializeComponent()

        Sales_by_CategoryTableAdapter1.Fill(NwindDataSet1.Sales_by_Category)
        CategoriesTableAdapter1.Fill(NwindDataSet1.Categories)

    End Sub

    ''' <summary>
    ''' Handles the RenderContents event of the small canvas indicating
    ''' the color of the related product in the pie chart.
    ''' </summary>
    Private Sub canvas1_RenderContents(ByVal sender As Object, ByVal e As DrawCanvasEventArgs) Handles canvas2.RenderContents

        Dim bounds As RectangleF = e.Bounds
        bounds.Inflate(-2, -1)

        ' Obtain the corresponding brush from the pie chart
        Dim brush As MindFusion.Drawing.Brush =
            pieChart1.ChartBrushes((e.RangeIndex - 1) Mod pieChart1.ChartBrushes.Count)

        ' Create a System.Drawing.Brush corresponding to the pie chart's brush
        Dim gdiBrush As System.Drawing.Brush = brush.CreateGdiBrush(bounds)
        Using (gdiBrush)

            ' Render a rectangle using the appropriate brush
            e.Graphics.FillRectangle(gdiBrush, bounds)

            Dim gdiPen As System.Drawing.Pen = New Pen(Color.Black, 0)
            Using (gdiPen)

                e.Graphics.DrawRectangle(gdiPen, bounds.X, bounds.Y, bounds.Width, bounds.Height)

            End Using

        End Using

    End Sub

End Class
